# Class: SkinCheckbox

## SkinCheckbox

#### new SkinCheckbox($checkbox, userOptions)

  Skin an HTML input checkbox element. You can access the skin API in the __skinAPI property of the $checkbox HTMLElement or its wrapper.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `$checkbox` | HTMLElement |

  `userOptions`

  Object

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `wrap` | String | <optional> | <span class="cb-skin"></span> |
  `invalidClass` | String | <optional> | invalid |
  `disabledClass` | String | <optional> | disabled |
  `checkedClass` | String | <optional> | checked |

### Methods

#### check()

  Force the checkbox to be check

#### disable()

  Force the checkbox to be disable

#### enable()

  Force the checkbox to be enable

#### setInvalid()

  Force the state of the checkbox to invalid

#### setValid()

  Force the state of the checkbox to valid

#### uncheck()

  Force the checkbox to be uncheck

#### Search results